@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
$base: '.digi-tools-feedback-banner';


#{$base} {
	background-color: var(--digi--color--background--neutral-5);

	&__heading {
		font-size: var(--digi--typography--heading-2--font-size--desktop);
		font-weight: var(--digi--typography--heading-2--font-weight--desktop);
		margin-top: 0;

		@media (max-width: $digi--breakpoint--small) {
			font-size: var(--digi--typography--heading-2--font-size--mobile);
			font-weight: var(--digi--typography--heading-2--font-weight--mobile);
		}
	}

	&--grid {
		display: grid;
		// padding-inline: var(--digi--padding--largest-2);
		padding-inline: var(--digi--padding--medium);

		@media (max-width: $digi--breakpoint--small) {
			padding-inline: unset;
		}
	}

	&__container {
		padding-top: var(--digi--padding--largest);
		padding-bottom: var(--digi--padding--largest-2);

		@media (max-width: $digi--breakpoint--small) {
			padding: var(--digi--padding--large) var(--digi--padding--medium) var(--digi--padding--largest-2) var(--digi--padding--medium);
		}
	}

	&__illustration {
		flex-basis: rem(68);
		padding-left: var(--digi--padding--large);

		@media (max-width: $digi--breakpoint--small) {
			padding-left: var(--digi--padding--smaller);
		}
	}

	&__main-content {
		display: inline-flex;
		padding-bottom: var(--digi--padding--largest);
	}

	&__text-content {
		flex-basis: rem(283);
	}

	&__links {
		@media (max-width: $digi--breakpoint--small) {
			display: flex;
			flex-direction: column;
		}
	}

	digi-link-external {
		padding-right: var(--digi--padding--large);

		@media (max-width: $digi--breakpoint--small) {
			padding-bottom: var(--digi--padding--smaller);
		}
	}

	}


}